Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class Mapper

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.Mapper

All Implemented Interfaces:
  java.lang.Cloneable

public class Mapper
extends DataType
implements java.lang.Cloneable

Element to define a FileNameMapper.

Nested Class Summary
`static class` | `Mapper.MapperType` Class as Argument to FileNameMapper.setType.

Field Summary
`protected java.lang.String` | `classname`
`protected Path` | `classpath`
`protected java.lang.String` | `from`
`protected java.lang.String` | `to`
`protected Mapper.MapperType` | `type`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Mapper(Project p)` Construct a new `Mapper` element.

Method Summary
`void` | `add(FileNameMapper fileNameMapper)` Add a nested `FileNameMapper`.
`void` | `addConfiguredMapper(Mapper mapper)` Add a Mapper
`Path` | `createClasspath()` Set the classpath to load the FileNameMapper through (nested element).
`FileNameMapper` | `getImplementation()` Returns a fully configured FileNameMapper implementation.
`protected java.lang.Class` | `getImplementationClass()` Gets the Class object associated with the mapper implementation.
`protected Mapper` | `getRef()` Performs the check for circular references and returns the referenced Mapper.
`void` | `setClassname(java.lang.String classname)` Set the class name of the FileNameMapper to use.
`void` | `setClasspath(Path classpath)` Set the classpath to load the FileNameMapper through (attribute).
`void` | `setClasspathRef(Reference r)` Set the classpath to load the FileNameMapper through via reference (attribute).
`void` | `setFrom(java.lang.String from)` Set the argument to FileNameMapper.setFrom
`void` | `setRefid(Reference r)` Make this Mapper instance a reference to another Mapper.
`void` | `setTo(java.lang.String to)` Set the argument to FileNameMapper.setTo
`void` | `setType(Mapper.MapperType type)` Set the type of `FileNameMapper` to use.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected Mapper.MapperType type

### classname

    protected java.lang.String classname

### classpath

    protected Path classpath

### from

    protected java.lang.String from

### to

    protected java.lang.String to

Constructor Detail

### Mapper

    public Mapper(Project p)

  Construct a new `Mapper` element.

Parameters:
  `p` - the owning Ant `Project`.

Method Detail

### setType

    public void setType(Mapper.MapperType type)

  Set the type of `FileNameMapper` to use.

  Parameters:
    `type` - the `MapperType` enumerated attribute.

### add

    public void add(FileNameMapper fileNameMapper)

  Add a nested `FileNameMapper`.

  Parameters:
    `fileNameMapper` - the `FileNameMapper` to add.

### addConfiguredMapper

    public void addConfiguredMapper(Mapper mapper)

  Add a Mapper

  Parameters:
    `mapper` - the mapper to add

### setClassname

    public void setClassname(java.lang.String classname)

  Set the class name of the FileNameMapper to use.

### setClasspath

    public void setClasspath(Path classpath)

  Set the classpath to load the FileNameMapper through (attribute).

### createClasspath

    public Path createClasspath()

  Set the classpath to load the FileNameMapper through (nested element).

### setClasspathRef

    public void setClasspathRef(Reference r)

  Set the classpath to load the FileNameMapper through via reference (attribute).

### setFrom

    public void setFrom(java.lang.String from)

  Set the argument to FileNameMapper.setFrom

### setTo

    public void setTo(java.lang.String to)

  Set the argument to FileNameMapper.setTo

### setRefid

    public void setRefid(Reference r)
                  throws BuildException

  Make this Mapper instance a reference to another Mapper.

  You must not set any other attribute if you make it a reference.

  Overrides:
    `setRefid` in class `DataType`
    `BuildException`

### getImplementation

    public FileNameMapper getImplementation()
                                     throws BuildException

  Returns a fully configured FileNameMapper implementation.

    `BuildException`

### getImplementationClass

    protected java.lang.Class getImplementationClass()
                                              throws java.lang.ClassNotFoundException

  Gets the Class object associated with the mapper implementation.

  Returns:
    `Class`.
    `java.lang.ClassNotFoundException`

### getRef

    protected Mapper getRef()

  Performs the check for circular references and returns the referenced Mapper.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.